Jump to content
Sign in to follow this  
AllanD

Error on ordering

Recommended Posts

I just upgraded to 6.2.2 and when someone goes to order they can enter the domain name, choose a package but when you hit continue it brings up a blank page and you can't go further. I have checked the logs and found this

 

Smarty Error: Unable to load template file 'five/includes/pwstrength.tpl' in '/xxx/xxx/public_html/clients/templates/orderforms/modern/viewcart.tpl'

 

I went through the templates and the pwstrength.tpl is not in the includes folder just listed under the five folder can I change the viewcart.tpl to reflect the correct path of the pwstrength.tpl? or do should I create a folder includes and move the file in there?

Share this post


Link to post
Share on other sites

I think this may be a bug - unless you're specifically not supposed to use Modern with "five"... but I can't recall reading that you can't.

 

the problem with changing the path or moving the file is complicated by other templates needing to use pwstrength.tpl - so if you move it, you'll have to edit the other templates too... if you change the path in viewcart.tpl, then that might work... but then you'd run into an issue if you tried to use Modern with "Six" as the include path would then be wrong.

 

weirdly, if I setup our v6.2.2 dev to use your combination, five and Modern, it works - and the code in viewcart.tpl is exactly the same on our dev and your website... but if I do the same on the WHMCS demo (6.3RC1), it fails with exactly the same error message in the logs..

 

Smarty Error: Unable to load template file 'five/includes/pwstrength.tpl' in '/home/wwwdemo2/public_html/templates/orderforms/modern/viewcart.tpl'

 

your website order process works using "Six", so it's not an orderform issue... so, I think the simplest solution would be to edit the path in modern/viewcart.tpl and edit the include...

 

perhaps replace it with the code from the old boxes template...

 

                            {if file_exists("templates/$template/pwstrength.tpl")}
                               {include file="$template/pwstrength.tpl"}
                           {elseif file_exists("templates/six/includes/pwstrength.tpl")}
                               {include file="six/includes/pwstrength.tpl"}
                           {/if}

that way, whether you're using five or six, the modern template should still work.

Share this post


Link to post
Share on other sites

Not much of a coder so what would I replace in the template, I did a search and didn't find anything that looked similar.

Share this post


Link to post
Share on other sites

oh sorry, in modern/viewcart.tpl, there's code @ line 316...

 

{include file="$template/includes/pwstrength.tpl"}

that's the line that's causing the Smarty error - try replacing that line with the code above...

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use & Guidelines and understand your posts will initially be pre-moderated